# Enum Class CatalogFeatures.Feature

java.lang.Object
java.lang.Enum<CatalogFeatures.Feature>
javax.xml.catalog.CatalogFeatures.Feature

All Implemented Interfaces:
  `Serializable, Comparable<CatalogFeatures.Feature>, Constable`

Enclosing class:
  `CatalogFeatures`

public static enum CatalogFeatures.Feature extends Enum<CatalogFeatures.Feature>
A Feature type as defined in the Catalog Features table.

Since:
  9

## Nested Class Summary

### Nested classes/interfaces declared in class Enum

`Enum.EnumDesc<E>`
Modifier and Type
Class
Description
`static final class`
`Enum.EnumDesc<E extends Enum<E>>`
A nominal descriptor for an `enum` constant.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFER`
The `javax.xml.catalog.defer` property as described in item DEFER of the Catalog Features table.
`FILES`
The `javax.xml.catalog.files` property as described in item FILES of the Catalog Features table.
`PREFER`
The `javax.xml.catalog.prefer` property as described in item PREFER of the Catalog Features table.
`RESOLVE`
The `javax.xml.catalog.resolve` property as described in item RESOLVE of the Catalog Features table.

## Method Summary

Modifier and Type
Method
Description
`String`
`defaultValue()`
Returns the default value of the property.
`String`
`getPropertyName()`
Returns the name of the corresponding System Property.
`static CatalogFeatures.Feature`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CatalogFeatures.Feature[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`
Modifier and Type
Method
Description
`protected final Object`
`clone()`
Throws CloneNotSupportedException.
`final int`
`compareTo(CatalogFeatures.Feature o)`
Compares this enum with the specified object for order.
`final Optional<Enum.EnumDesc<CatalogFeatures.Feature>>`
`describeConstable()`
Returns an enum descriptor `EnumDesc` for this instance, if one can be constructed, or an empty `Optional` if one cannot be.
`final boolean`
`equals(Object other)`
Returns true if the specified object is equal to this enum constant.
`protected final void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization has been deprecated for removal.
`final Class<CatalogFeatures.Feature>`
`getDeclaringClass()`
Returns the Class object corresponding to this enum constant's enum type.
`final int`
`hashCode()`
Returns a hash code for this enum constant.
`final String`
`name()`
Returns the name of this enum constant, exactly as declared in its enum declaration.
`final int`
`ordinal()`
Returns the ordinal of this enumeration constant (its position in its enum declaration, where the initial constant is assigned an ordinal of zero).
`String`
`toString()`
Returns the name of this enum constant, as contained in the declaration.
`static <T extends Enum<T>>
T`
`valueOf(Class<T> enumClass, String name)`
Returns the enum constant of the specified enum class with the specified name.

### Methods declared in class Object

`getClass, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Enum Constant Details

### FILES

public static final CatalogFeatures.Feature FILES
The `javax.xml.catalog.files` property as described in item FILES of the Catalog Features table.

### PREFER

public static final CatalogFeatures.Feature PREFER
The `javax.xml.catalog.prefer` property as described in item PREFER of the Catalog Features table.

### DEFER

public static final CatalogFeatures.Feature DEFER
The `javax.xml.catalog.defer` property as described in item DEFER of the Catalog Features table.

### RESOLVE

public static final CatalogFeatures.Feature RESOLVE
The `javax.xml.catalog.resolve` property as described in item RESOLVE of the Catalog Features table.

## Method Details

### values

public static CatalogFeatures.Feature[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CatalogFeatures.Feature valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getPropertyName

public String getPropertyName()
Returns the name of the corresponding System Property.

Returns:
  the name of the System Property

### defaultValue

public String defaultValue()
Returns the default value of the property.

Returns:
  the default value of the property